#
# spec file for package docbook-xsl-stylesheets (Version 1.68.1.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libxml2 sgml-skel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool libxml2 perl rpm sgml-skel

Name:         docbook-xsl-stylesheets
License:      distributable, Other License(s), see package
Group:        Productivity/Publishing/DocBook
Autoreqprov:  on
BuildArchitectures: noarch
Provides:     docbkxsl
Obsoletes:    docbkxsl
Requires:     xmlcharent docbook_4
%define regcat /usr/bin/sgml-register-catalog
PreReq:       %{regcat} /usr/bin/xmlcatalog
Summary:      XSL Stylesheets for the DocBook DTD (XML)
Version:      1.68.1.1
Release:      2
#Source0:      http://ftp1.sourceforge.net/docbook/docbook-xsl-%{version}.tar.bz2
Source0:      http://docbook.sourceforge.net/snapshot/docbook-xsl-snapshot.tar.bz2
Source10:     http://docbook.sourceforge.net/snapshot/docbook-xsl-doc-snapshot.tar.bz2
%define pack_vers snapshot
Source1:      %{name}-README.SuSE
# Patch: docbkxsl.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://sourceforge.net/projects/docbook/

%description
These are XSL stylesheets for the DocBook XML (and "Simplified" DocBook
XML) DTDs.

XSL is a standard W3C stylesheet language for both print and online
rendering.  For more information about XSL, see the XSL page at the
W3C.



Authors:
--------
    Norman Walsh <ndw@nwalsh.com>
    Michael Smith <smith@xml-doc.org>

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define INSTALL_SCRIPT install -m755 -o root -g root
%define sgml_dir %{_datadir}/sgml
%define sgml_var_dir /var/lib/sgml
%define sgml_mod_dir %{sgml_dir}/docbook
%define sgml_mod_dtd_dir %{sgml_mod_dir}/dtd
%define sgml_mod_custom_dir %{sgml_mod_dir}/custom
%define sgml_mod_style_dir %{sgml_mod_dir}/stylesheet
%define xml_dir %{_datadir}/xml
%define xml_mod_dir %{xml_dir}/docbook
%define xml_mod_dtd_dir %{xml_mod_dir}/dtd
%define xml_mod_custom_dir %{xml_mod_dir}/custom
%define xml_mod_style_dir %{xml_mod_dir}/stylesheet
%define xml_mod_style_prod_dir %{xml_mod_style_dir}/nwalsh
%define sgml_config_dir /var/lib/sgml
%define sgml_sysconf_dir %{_sysconfdir}/sgml
%define xml_config_dir /var/lib/xml
%define xml_sysconf_dir %{_sysconfdir}/xml
%debug_package
%prep
#%setup10 -q -n docbook-xsl-%{pack_vers}
%setup -q -n docbook-xsl-%{pack_vers} -b 10
cp -p %{SOURCE1} README.SuSE
# cp %{S:2} fo
# %patch -p 1
# rm -f html/index.html.orig
chmod -R a+rX,g-w,o-w .

%build
xmlcatbin=/usr/bin/xmlcatalog
CATALOG=%{name}-%{version}.xml
# file:///usr/share/sgml/docbook/ = %{sgml_mod_dir} map it to
# %{xml_mod_style_prod_dir}/%{version}
$xmlcatbin --noout --create $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
 "http://docbook.sourceforge.net/release/xsl/%{version}" \
 "file://%{xml_mod_style_prod_dir}/%{version}" $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteURI" \
 "http://docbook.sourceforge.net/release/xsl/%{version}" \
 "file://%{xml_mod_style_prod_dir}/%{version}" $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
 "http://docbook.sourceforge.net/release/xsl/current" \
 "file://%{xml_mod_style_prod_dir}/%{version}" $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteURI" \
 "http://docbook.sourceforge.net/release/xsl/current" \
 "file://%{xml_mod_style_prod_dir}/%{version}" $CATALOG
%define FOR_ROOT_CAT for-catalog-%{name}-%{version}-%{release}.xml
CATALOG=etc/xml/$CATALOG
rm -f %{FOR_ROOT_CAT}.tmp
$xmlcatbin --noout --create %{FOR_ROOT_CAT}.tmp
$xmlcatbin --noout --add "delegateSystem" \
  "http://docbook.sourceforge.net/release/xsl/" \
  "file:///$CATALOG" %{FOR_ROOT_CAT}.tmp
# $xmlcatbin --noout --add "delegatePublic" \
#   "-//OASIS//xxx" \
#   "file:///$CATALOG" %{FOR_ROOT_CAT}.tmp
# Create tag
sed '/<catalog/a\
  <group id="%{name}-%{version}-%{release}">
/<\/catalog/i\
  </group>' \
  %{FOR_ROOT_CAT}.tmp > %{FOR_ROOT_CAT}

%install
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ]; then
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
doc_dir=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{xml_mod_style_prod_dir}/%{version}
cp -a [[:lower:]]* $RPM_BUILD_ROOT%{xml_mod_style_prod_dir}/%{version}
cp -a VERSION $RPM_BUILD_ROOT%{xml_mod_style_prod_dir}/%{version}
rm -f $RPM_BUILD_ROOT%{xml_mod_style_prod_dir}/%{version}/for-catalog*
: >%{name}_list
{
  pushd $RPM_BUILD_ROOT%{xml_mod_style_prod_dir} >/dev/null
# do not create the current link for snapshots
#  if ! echo %{S:0} | grep -q snapshot; then
    ln -sf %{version} current
    echo %{xml_mod_style_prod_dir}/current
#  fi
  popd >/dev/null
} >%{name}_list
%{INSTALL_DIR} $doc_dir
# documentation
for f in README BUGS TODO WhatsNew RELEASE-NOTES.html; do
  # On snapshots, WhatsNew is missing
  [ -f $f ] && %{INSTALL_DATA} $f $doc_dir/$f
done
cp -p README.SuSE $doc_dir/README.SuSE
#
{
  LANG=C \
    find %{buildroot}%{xml_mod_style_prod_dir}/%{version} \
    -type d \
    -not -path '%{buildroot}%{xml_mod_style_prod_dir}/%{version}/latex*' \
    | sed 's|%{buildroot}|%dir |'
  LANG=C \
    find %{buildroot}%{xml_mod_style_prod_dir}/%{version} \
    -type f \
    -not -path '%{buildroot}%{xml_mod_style_prod_dir}/%{version}/latex*' \
    | sed 's|%{buildroot}||'
} >> %{_builddir}/%{buildsubdir}/%{name}_list
# pushd %{buildroot}%{xml_mod_style_prod_dir}
#   rm -f docbook-xsl
#   ln -sf docbook-xsl-stylesheets-%{version} docbook-xsl
#   rm -f xsl-stylesheets
#   ln -sf docbook-xsl-stylesheets-%{version} xsl-stylesheets
#   rm -f %{name}
#   ln -sf docbook-xsl-stylesheets-%{version} %{name}
# popd
cat_dir=%{buildroot}/etc/xml
%{INSTALL_DIR} $cat_dir
%{INSTALL_DATA} %{FOR_ROOT_CAT} %{name}-%{version}.xml $cat_dir

%pre
# in case of an update check for old dirs (affected systems =< SL 9.0)
old="docbook-xsl*"
pushd %{sgml_dir}/docbook >/dev/null
{
  for f in $old; do
    [ -d $f ] && echo $f || :
    [ -L $f ] && echo $f || :
  done
} >> /var/adm/SuSEconfig/run-sgmldir-links

%post
# remove empty dir if present (from ghost)
# also remove dangling symlink
D=usr/share/sgml
rmdir $D/docbkxsl >/dev/null 2>&1 || :
test -L $D/docbkxsl -a ! -e $D/docbkxsl && rm -f $D/docbkxsl
edit-xml-catalog --group --catalog /etc/xml/suse-catalog.xml \
  --add /etc/xml/%{FOR_ROOT_CAT}
exit 0

%postun
edit-xml-catalog --group --catalog /etc/xml/suse-catalog.xml \
  --del %{name}-%{version}-%{release}
exit 0

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}_list
%defattr(-, root, root)
# compatibility link; will go away with SuSE Linux >= 8.x
%config %{_sysconfdir}/xml/%{name}-%{version}.xml
%config %{_sysconfdir}/xml/%{FOR_ROOT_CAT}
%{_defaultdocdir}/%{name}
%dir %{xml_dir}
%dir %{xml_mod_dir}
%dir %{xml_mod_style_dir}
%dir %{xml_mod_style_prod_dir}
# it is now in the list:
# %{xml_mod_style_prod_dir}/current

%changelog -n docbook-xsl-stylesheets
* Fri May 20 2005 - ke@suse.de
- Update to 2005-05-17 snapshot for testing.
* Mon Feb 14 2005 - ke@suse.de
- Update to version 1.68.1.
* Wed Feb 09 2005 - ke@suse.de
- Update to version 1.68.0.
  * Various enhancements, moste FO related.
  * New SVG admonition graphics and navigation images.
* Thu Dec 02 2004 - ke@suse.de
- Update to 1.67.2; this is a bug-fix release.
  * Revert some user-visible changes from 1.67.0.
* Wed Nov 10 2004 - ke@suse.de
- Update to 1.67.0; this is a bug-fix release that contains a few new
  features.
  * User-visible changes affect HTML and FO output; details are
  listed at
  http://lists.oasis-open.org/archives/docbook-apps/200411/msg00123.html .
  * Saxon and Xalan enhancements.
  * Add Saxon8 extensions.
* Tue Oct 19 2004 - ke@suse.de
- Update to 1.66.1; some highlights:
  * Important bug fixes and enhancements (tables, index sorting, olink
  templates, etc.).
  * Better support for DocBook 4.3.
  * In chunked output generic link header element (cf. HTML 4.01).
* Mon Jul 26 2004 - ke@suse.de
- Update to 1.65.1:
  * Various bug fixes.
  * Offer alternate indexing mechanism; for details
  cf. /usr/share/doc/packages/docbook-xsl-stylesheets/RELEASE-NOTES.html.
* Thu Feb 05 2004 - ke@suse.de
- Correct compat links.
* Fri Jan 30 2004 - ke@suse.de
- Adjust directories according to FHS 2.3:
  * Move stylesheets to /usr/share/xml/docbook.
  * Provide compatibility links for SL =< 9.0 (log this info in
  /var/adm/SuSEconfig/run-sgmldir-links for later processing).
* Wed Jan 14 2004 - ke@suse.de
- Update to 1.64.1.
* Wed Oct 22 2003 - ke@suse.de
- Update to 1.62.4.
* Mon Jun 23 2003 - ke@suse.de
- Update to 1.60.3 (various bug fixes; thus far no release notes).
* Fri May 23 2003 - ke@suse.de
- Update to 1.61.2: many improvements and fixes; for more info cf.
  http://lists.oasis-open.org/archives/docbook-apps/200305/msg00111.html
  http://lists.oasis-open.org/archives/docbook-apps/200305/msg00228.html
  http://lists.oasis-open.org/archives/docbook-apps/200305/msg00273.html
* Tue Jan 28 2003 - ke@suse.de
- Update to 1.60.1: some issues from release notes:
  * Lots of bug fixes.
  * Titlepage handling has changed; for details
  cf. RELEASE-NOTES.html.
  * Format cross references consistently.
  * Improve table handling.
  * Fix bugs in graphic width/height calculations.
- Install XML catalog; thus fixing major part of [# 21717].
* Tue Jan 21 2003 - ke@suse.de
- Require docbook_4; reported by Gernot Hillier and Thomas Schraitle.
* Mon Jan 20 2003 - ke@suse.de
- Update to 1.59.2: from release notes:
  * Bug fix: FO bug in the page masters that causes FOP to fail.
  * Various bug fixes.
  * Fix aligment problems in equations.
  * Output the type attribute on unordered lists (UL) in HTML only if
  the css.decoration parameter is true.
  * Calculate the font size in formal.title.properties so that it's 1.2
  times the base font size, not a fixed "12pt".
* Wed Jan 15 2003 - ke@suse.de
- Update to 1.59.1: from release notes (since 1.57.0):
  * Bug fixes.
  * initial support for extensions in xsltproc.
  * Add Bulgarian localization.
  * Indexing improvements; localize book indexes to books but allow
  setindex to index an entire set.
  * The default value for rowsep and colsep is now "1" as per CALS.
  * Fix bugs in calculation of adjusted column widths to correct for
  rounding errors.
  * Add support for titleabbrev (use them for cross references).
  * Improvements to mediaobject for selecting print vs. online images.
  * Add seperate property sets for figures, examples, equations,
  tabless, and procedures.
  * Make lineannotations italic.
  * Support xrefstyle attribute.
  * Make endterm on xref higher priority than xreflabel target.
  * Support nested refsection elements correctly.
  * Glossary formatting improvements.
  * Reworked gentext.template to take context into consideration. The
  name of elements in localization files is now an xpath-like context
  list, not just a simple name.
  * Some improvements to bibliography formatting.
  * Improve graphical formatting of admonitions.
  * Add support for entrytbl.
  * Support spanning index terms.
  * Support bibliosource.
* Mon Nov 11 2002 - ke@suse.de
- Update to 1.57.0.
- Provide version independent link; missing feature reported by eicker,
  Mads Martin Joergensen and Thomas Schraitle [# 19238].
* Thu Oct 10 2002 - ke@suse.de
- Update to version 1.56.1
* Thu Aug 15 2002 - ke@suse.de
- Add XSL 1.53.0 customization layer for PassiveTeX by Bob Stayton; for
  more info
  cf. http://sourceforge.net/tracker/index.php?func=detail&aid=593600&group_id=21935&atid=373747
  : Use
  xsltproc
  /usr/share/sgml/docbook/docbook-xsl-stylesheets-1.53.0/fo/custom.passivetex.xsl \
  mydoc.xml >mydoc.fo
  to load the customization layer.
* Mon Jul 29 2002 - ke@suse.de
- Update to version 1.53.0:
  * Fix some bugs.
  * Refactor FO page masters.
  * And add some new parameters.
* Fri Jul 12 2002 - mls@suse.de
- fixed postinstall script
* Wed Jul 10 2002 - ke@suse.de
- Update to version 1.52.2:
  * Fix formatting, reference and index handling issues.
* Mon Jul 08 2002 - ke@suse.de
- Update to version 1.52.1:
  * Fix reference handling (xref.xsl).
* Mon Jul 08 2002 - ke@suse.de
- Update to version 1.52.0; from the announcement: Changes include:
  * A complete and consistent set of chunking parameters;
  * many new HTML Help parameters;
  * support for new-style OLinks;
  * experimental support for xref styles;
  * completely reworked page master/sequence config;
  * support for cross-references to paragraphs;
  * new header/footer, column, and glossary parameters;
  * other new parameters: draft.mode, suppress.footer.navigation and
  suppress.header.navigation, make.graphic.viewport,
  nominal.image.depth, nominal.image.width, use.embed.for.svg,
  refentry.title.properties, section.title.properties,
  use.embed.for.svg, generate.meta.abstract.xml.
- spec file: Remove obsolete variables.
* Tue Jun 18 2002 - ke@suse.de
- Update to version 1.51.1.
- Drop the subpackage db2latex (once it's maintained again, I'll
  provide a proper standalone package.
- Provide version related convenience links; proposed by Rolf
  Niepraschk.
* Wed May 08 2002 - ke@suse.de
- Update to version 1.50.0 [# 15162].
* Mon Feb 11 2002 - ro@suse.de
- tar option for bz2 is "j"
* Mon Aug 20 2001 - ke@suse.de
- Add db2latex (version 0.5.1) as a subpackage.
- Re-compress the archives using bzip2.
* Tue Aug 07 2001 - ke@suse.de
- Update to version 1.42.
* Mon Jul 16 2001 - ke@suse.de
- Update to version 1.41.
* Mon Apr 23 2001 - ke@suse.de
- Fix create of compatibility link via %%post; reported by kukuk
  [#7130].
* Mon Mar 26 2001 - ke@suse.de
- Provide compatibility link /usr/share/sgml/docbkxsl for SuSE Linux <
  8.0 (cf. README.SuSE).
* Fri Mar 23 2001 - ke@suse.de
- Update to version 1.34 (experimental).
- Rename package: docbkxsl -> docbook-xsl-stylesheets.
- Adjust README.SuSE.
* Fri Feb 02 2001 - ke@suse.de
- Update to version 1.29.
* Fri Sep 22 2000 - ke@suse.de
- Update to version 1.18.
* Wed Aug 16 2000 - ke@suse.de
- Update to version 1.17.
* Fri May 26 2000 - ke@suse.de
- Update to version 1.13.
- Use %%{_defaultdocdir}.
* Fri Dec 17 1999 - ke@suse.de
- Fix %%files list.
* Fri Dec 17 1999 - ke@suse.de
- Update: version 1.01.
* Tue Nov 23 1999 - ke@suse.de
- Start with version 1.00.
- Add README.SuSE.
